#ifndef LEGACY
#define LEGACY

#include <math.h>

namespace Legacy
{
    // round a float after the given decimal (eg, when Decimal==2, it simulates printf("%.2f", (double)f) )
    template<int Decimals>
    inline float truncate(float f)
    {
        const float scale = powf(10.0, float(Decimals));
        return roundf(f * scale) / scale;
    }
}
#endif // #ifndef LEGACY
