#ifndef TEST_QHG_OPTIONS
#define TEST_QHG_OPTIONS

#include <cppunit/extensions/HelperMacros.h>

#include "QhgOptions.hh"

class TestQhgOptions : public CppUnit::TestFixture
{
CPPUNIT_TEST_SUITE( TestQhgOptions );
CPPUNIT_TEST( testConstructor );
CPPUNIT_TEST( testInit1 );
//CPPUNIT_TEST( testInit2 );
CPPUNIT_TEST( testFilterOptions );
CPPUNIT_TEST( testCompression );
CPPUNIT_TEST( testInputList );
CPPUNIT_TEST_SUITE_END();
private:
    QhgOptions *qhgOptions;
    int initError;
public:
    void setUp();
    void tearDown();
    void testConstructor();
    void testFilterOptions();
    void testCompression();
    void testInputList();
    void testInit1();
    void testInit2();
};

#endif // #ifndef TEST_QHG_OPTIONS

