// -*- mode: c++; indent-tabs-mode: nil; c-basic-offset: 4; -*-
//
// Copyright 2008 Illumina, Inc
// Author: Chris Saunders
//
// This source file is covered by the Illumina Genome Analyzer Software
// License Agreement and bound by the terms therein.
//

#ifndef COMPUTIL_H
#define COMPUTIL_H

#include <cstring>



struct ltstr
{
  bool operator()(const char* s1, const char* s2) const
  {
    return strcmp(s1, s2) < 0;
  }
};



template <unsigned N>
struct ltstrN
{
  bool operator()(const char* s1, const char* s2) const
  {
    return strncmp(s1, s2, N) < 0;
  }
};


#endif
