#include <ExportFileReader.h>
#include <iostream>

int main( int numArgs, const char** args)
{
  if (numArgs!=2) 
  { 
    cerr << "syntax : " << args[0] << " export_file_name " << endl;
    exit (-1);
  }
  ExportFileReaderActual file(args[1]);
  ExportFileReader iface(&file);
  while(iface.getNextEntry()!=false)
  {
    printf("%s %c \n",iface.getRead(), iface.getFiltering() );
  }
}
