/*
 * Copyright (c) Solexa 2006
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */
#ifndef XMLSAXPARSER_H_
#define XMLSAXPARSER_H_

#include "XMLContentHandler.h"
#include <list>

class XMLSAXParser
{
    std::list<XMLContentHandler *> handlers;
public:
	XMLSAXParser();
	virtual ~XMLSAXParser();
    virtual void setContentHandler(XMLContentHandler *handler);
    virtual void parse(FILE *fp, XMLContentHandler *handler = 0);
};

#endif /*XMLSAXPARSER_H_*/
