/*
 * Copyright (c) Illumina 2008
 * Author:
 *               Klaus Maisinger
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */
#ifndef POSITIONDATA_H_
#define POSITIONDATA_H_

#include <string>
#include "ParameterTypes.h"

class PositionData
{
private:
    std::string m_Filename;
public:
    PositionData(const std::string &filename);
    virtual ~PositionData();
    int read(Position ** positions,
             int       * numPositions);
    int write(const Position * positions,
              const int        numPositions);
};

#endif /*POSITIONDATA_H_*/
