/*
 * Copyright (c) Solexa 2006
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */
#ifndef QCWRITER_H_
#define QCWRITER_H_

#include "ImageXMLHandler.h"
#include "Images.h"

class QCWriter : public ImageXMLWriter
{
public:
    QCWriter();
    virtual ~QCWriter();
    virtual void openFile(const char filename[],
                          const char software[], const char version[]);
    virtual void closeFile();
    virtual void writeImage(Image *image, 
                            int lane, int tile, int cycle, int colour);
};

#endif /*QCWRITER_H_*/
