// -*- mode: c++; indent-tabs-mode: nil; c-basic-offset: 4; -*-
//
// Copyright 2008 Illumina, Inc
// Author: Chris Saunders
//
// This source file is covered by the Illumina Genome Analyzer Software
// License Agreement and bound by the terms therein.
//

#ifndef QPREDICTORMOTIF5P23P2_H
#define QPREDICTORMOTIF5P23P2_H


#include <map>

#include "CompUtil.h"


struct Motif5P23P2Data {

    enum { c5p = 2 };
    enum { c3p = 2 };
    enum { crange = 1+c5p+c3p };
    
    typedef std::map <const char*,float,ltstrN<crange> > motif_map_t;

    Motif5P23P2Data();

    motif_map_t motif_scores;
};


#endif
