// -*- c++ -*-
/*****************************************************************************/
// Copyright (c) Illumina 2008
// Author: Richard Shaw
// This source file is covered by the Illumina Genome Analyzer Software
// License Agreement and bound by the terms therein.
/*****************************************************************************/

#ifndef LIKELIHOOD_CALC
#define LIKELIHOOD_CALC

/*****************************************************************************/

class Likelihood_Calc
{
public:
    Likelihood_Calc(float sum);
    int operator()(const unsigned int val);

private:
    float my_sum;
    static const float our_to_base10_factor;
    static const int our_neutral_score;
};

/*****************************************************************************/

#endif // ! LIKELIHOOD_CALC

/*****************************************************************************/
