
get_filename_component(GA_CURRENT_DIR_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME)
message (STATUS "Adding the python program subdirectory: ${GA_CURRENT_DIR_NAME}")

file (GLOB GA_SCRIPT_LIST *.py)
foreach(GA_SCRIPT_SOURCE ${GA_SCRIPT_LIST})
    get_filename_component(GA_SCRIPT ${GA_SCRIPT_SOURCE} NAME)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${GA_SCRIPT}
      COMMAND sed "'s|^GA_LIB_LIST *= *.*$$|GA_LIB_LIST = [\"${GA_PYTHON_LIB_DIR}\"]|'" ${GA_SCRIPT_SOURCE} > ${GA_SCRIPT}
      DEPENDS ${GA_SCRIPT_SOURCE}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Building ${GA_SCRIPT}: ${TMP}")
    #add_custom_target(${GA_SCRIPT}.built ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${GA_SCRIPT})
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GA_SCRIPT} DESTINATION bin)
endforeach(GA_SCRIPT_SOURCE)

string(REPLACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ALL_PYTHON_PROGRAMS "${GA_SCRIPT_LIST}")
add_custom_target("python_${GA_CURRENT_DIR_NAME}" ALL DEPENDS ${ALL_PYTHON_PROGRAMS})

