/*
 * random number generators.
 *
 * Copyright (c) Solexa 2005, 2006
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */
#ifndef _RANDOM_H_
#define _RANDOM_H_

float uniform();
float uniform(float min, float max);
float normal();
float normal(float mean, float sigma);
void multivariate_normal(float *x, int n);
void multivariate_normal(float *x, int n, float *covariance_cholesky);

#endif //_RANDOM_H_
