/*
 * $RCSfile: scale_normalise_xtalk_mx.h,v $
 * Author: Lorenzo Milazzo
 * $Id: scale_normalise_xtalk_mx.h,v 1.1 2008/07/02 08:38:24 craczy Exp $
 *
 * Copyright (c) 2006, Solexa Ltd.
 *               2008, Illumina
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */

#ifndef __NORMALISE_XTALK_MX_H__
#define __NORMALISE_XTALK_MX_H__

#include "savinio_common.h"

void scaleNormaliseXTalkMatrix(const float * data,
                               const int     numData,
                               const int     numChannels,
                               Matrix      & matrixUnscaled,
                               Matrix      & matrixNormalised);

#endif /* __NORMALISE_XTALK_MX_H__ */
