/*
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */

#ifndef __MX_LIB_EXCEPTIONS_H__
#define __MX_LIB_EXCEPTIONS_H__

#include <iostream>
#include <string>


class ExceptionMx {

  public:
    ExceptionMx(std::string msg)
    {
        error_msg.append(msg);
    }
    void display(void)
    {
        std::cout << error_msg << std::endl;
    }

  protected:
      std::string error_msg;

};


#endif // __MX_LIB_EXCEPTIONS_H__
