// -*- c++ -*-
/*****************************************************************************/
// Copyright (c) Illumina 2008
// Author: Richard Shaw
// This source file is covered by the Illumina Genome Analyzer Software
// License Agreement and bound by the terms therein.
/*****************************************************************************/

#ifndef STRING_TYPES_H
#define STRING_TYPES_H

/*****************************************************************************/

#include <list>
#include <string>
#include <vector>

/*****************************************************************************/

typedef std::list<std::string> Str_List;
typedef Str_List::iterator Str_List_Iter;
typedef Str_List::const_iterator Str_List_CIter;

typedef std::vector<std::string> Str_Vec;
typedef Str_Vec::iterator Str_Vec_Iter;
typedef Str_Vec::const_iterator Str_Vec_CIter;

/*****************************************************************************/

#endif // ! STRING_TYPES_H

/*****************************************************************************/
